<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="modal-header">
  <h4
    class="modal-title"
    id="modal-basic-title"
    [innerText]="secondaryActionEnum.HistoryTasks | actionName">
  </h4>
  <button
    type="button"
    class="btn-close"
    [title]="commonMessages.CLOSE"
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
</div>
<div class="modal-body">

  <h3>{{commonMessages.FOLDER_NAME + ' : ' + folder.name}}</h3>

  <div
    *ngFor="let ipngProofs of ipngFolderProofList"
    class="proof-container">
    <h4>{{messages.ipngFullProofHeader(ipngProofs.receiverEntityId, ipngProofs.receiverDbxId)}}</h4>
    <p>{{messages.showBusinessKey(ipngProofs.proofSent.folderExchange.businessId)}}</p>

    <table
      aria-labelledby="inpgProofListTitle"
      class="table table-sm table-striped table-borderless bg-white mx-2">
      <thead>
        <tr>
          <th
            id="inpgProofListTitle"
            scope="col"
            [innerText]="messages.SEND_PROOF">
          </th>
        </tr>
      </thead>

      <tbody>
        <tr><td>{{messages.showDate(ipngProofs.proofSent?.timestamp)}}</td></tr>
        <tr><td>{{messages.showHashForStep('transmis', getCleanedHash(ipngProofs.proofSent))}}</td></tr>
        <tr><td>{{messages.showProofId(ipngProofs.proofSentId)}}</td></tr>
      </tbody>
    </table>

    <table
      aria-labelledby="receiptProofTitle"
      class="table table-sm table-striped table-borderless bg-white mx-2">
      <thead>
        <tr>
          <th
            id="receiptProofTitle"
            scope="col"
            [innerText]="messages.RECEIPT_PROOF">
          </th>
        </tr>
      </thead>

      <tbody>
        <tr><td>{{messages.showDate(ipngProofs.proofReceipt?.timestamp)}}</td></tr>
        <tr><td>{{messages.showHashForStep('reçu', getCleanedHash(ipngProofs.proofReceipt))}}</td></tr>
        <tr><td>{{messages.showProofId(ipngProofs.proofReceiptId)}}</td></tr>
      </tbody>
    </table>

    <table
      aria-labelledby="responseProofTitle"
      class="table table-sm table-striped table-borderless bg-white mx-2">
      <thead>
        <tr>
          <th
            id="responseProofTitle"
            scope="col"
            [innerText]="messages.RESPONSE_PROOF">
          </th>
        </tr>
      </thead>

      <tbody>
        <tr><td>{{messages.showDate(ipngProofs.proofResponse?.timestamp)}}</td></tr>
        <tr><td>{{messages.showHashForStep('retourné',getCleanedHash(ipngProofs.proofResponse))}}</td></tr>
        <tr><td>{{messages.showProofId(ipngProofs.proofResponseId)}}</td></tr>
      </tbody>
    </table>

  </div>
</div>

<div class="modal-footer">
  <button
    ls-button
    [text]="commonMessages.CLOSE"
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
</div>
